## openinbrowser 1.15

=== Makefile ===
all:
	:

NAME := openinbrowser
VERSION := $(shell grep em:version install.rdf|sed 's@.*em:version>\([^<]*\)<.*@\1@')
TARGET_XPI = $(NAME)-$(VERSION).xpi

xpi:
	rm -rf ../tmp || :
	mkdir ../tmp
	cp -r ../$(NAME) ../tmp
	rm -rf ../tmp/$(NAME)/.hg ../tmp/$(NAME)/.git ../tmp/$(NAME)/tests
	find ../tmp -name "*~" -exec rm {} \;
	cd ../tmp/$(NAME); \
	zip -r $(TARGET_XPI) *
	rm ../$(TARGET_XPI) || :
	mv ../tmp/$(NAME)/$(TARGET_XPI) ..
	rm -rf ../tmp

## openinbrowser 1.11

=== debian/changelog ===
openinbrowser (1.11-6) unstable; urgency=low

  * Mark the package as compatible with all versions of Iceape
    (closes: #659778). Thanks to Sven Joachim for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 13 Feb 2012 19:38:24 +0100

openinbrowser (1.11-5) unstable; urgency=low

  * Fix DEP-5 format URI.
  * Mark the package as compatible with all versions of Iceweasel.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 23 Jan 2012 18:50:09 +0100

openinbrowser (1.11-4) unstable; urgency=low

  * Mark the package as compatible with Iceweasel 9.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 13 Nov 2011 21:40:37 +0100

openinbrowser (1.11-3) unstable; urgency=low

  * Mark the package as compatible with Iceweasel 8.
  * Remove dead code from debian/rules.
  * Add ${xpi:Breaks}.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 12 Oct 2011 19:15:03 +0200

openinbrowser (1.11-2) unstable; urgency=low

  * Make binary-indep depend on build-indep.
  * Add get-orig-source target.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 04 Sep 2011 19:09:29 +0200

openinbrowser (1.11-1) unstable; urgency=low

  * Initial release (closes: #536583).

 -- Jakub Wilk <jwilk@debian.org>  Tue, 30 Aug 2011 22:54:35 +0200

=== debian/control ===
Source: openinbrowser
Section: web
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Build-Depends: debhelper (>= 7), mozilla-devscripts (>= 0.16~)
Standards-Version: 3.9.2
Homepage: http://spasche.net/openinbrowser/

Package: xul-ext-openinbrowser
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Breaks: ${xpi:Breaks}
Description: open files directly in the browser
 This extension allows you to open the document directly in the browser.
 Additionally, the extensions also allows you to change the media type of the
 document that is currently being viewed.

=== debian/rules ===
#!/usr/bin/make -f

.PHONY: build build-arch build-indep
build: build-arch build-indep
build-arch: ;
build-indep:
	dh_testdir
	rm -f openinbrowser.kpf Makefile
	xpi-pack . debian/xul-ext-openinbrowser.xpi

.PHONY: binary binary-arch binary-indep
binary: binary-arch binary-indep
binary-arch: ;
binary-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	install-xpi debian/xul-ext-openinbrowser.xpi
	dh_xul-ext
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: clean
clean:
	dh_testdir
	dh_clean

here = $(dir $(firstword $(MAKEFILE_LIST)))/..

.PHONY: get-orig-source
get-orig-source:
	cd $(here) && sh debian/get-orig-source.sh $(CURDIR)

# vim:ts=4 sw=4 noet

=== debian/watch ===
version=3
http://releases.mozilla.org/pub/mozilla.org/addons/8207/ open_in_browser-([0-9.]+).*[.]xpi

## openinbrowser 1.15

=== debian/changelog ===
openinbrowser (1.15-1) unstable; urgency=low

  * New upstream release:
  * Improve the get-orig-source script:
    + Use the POSIX 1003.1-1988 (ustar) format for tarballs.
  * Use gzip for .debian.tar compression.
  * Use dh-buildinfo:
    + Update debian/rules.
    + Add the package to Build-Depends.
  * Improve debian/rules:
    + Don't use dh_testdir; instead use target dependencies to ensure that
      debian/rules is run from the correct directory.
    + Use amo-changelog(1) (from the mozilla-devscripts package) for updating
      upstream changelog.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 23 Jul 2014 21:58:32 +0200

openinbrowser (1.13-1) unstable; urgency=low

  * New upstream release:
    + Add Russian locale.
    + Select text MIME type if no existing MIME type is matched.
  * Drop the patch to fix license, applied upstream.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 04 Jan 2014 17:22:43 +0100

openinbrowser (1.12-1) unstable; urgency=low

  * New upstream release:
    + Add PDF support as a menu item.
  * Update packaging for the new upstream release:
    + Add patch to fix the license file, which declared an incorrect license.
    + Refresh other patches.
    + Update debian/rules:
      - Don't install LICENSE or README.md to /usr/share/xul-ext/.
      - Install README.md to /usr/share/doc/.
  * Bump standards version to 3.9.5.
    + Update debian/copyright URI.
  * Update watch file.
  * Update Homepage field.
  * Add upstream changelog.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 02 Jan 2014 18:56:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,12 @@
 Section: web
 Priority: optional
 Maintainer: Jakub Wilk <jwilk@debian.org>
-Build-Depends: debhelper (>= 7), mozilla-devscripts (>= 0.16~)
-Standards-Version: 3.9.2
-Homepage: http://spasche.net/openinbrowser/
+Build-Depends:
+ debhelper (>= 7),
+ dh-buildinfo,
+ mozilla-devscripts (>= 0.16~)
+Standards-Version: 3.9.5
+Homepage: https://github.com/spasche/openinbrowser
 
 Package: xul-ext-openinbrowser
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

.PHONY: build build-arch build-indep
build: build-arch build-indep
build-arch: ;
build-indep: debian/control
	rm -f openinbrowser.kpf Makefile
	xpi-pack . debian/xul-ext-openinbrowser.xpi

.PHONY: binary binary-arch binary-indep
binary: binary-arch binary-indep
binary-arch: ;
binary-indep: build-indep
	dh_testroot
	dh_prep
	install-xpi -x LICENSE -x README.md debian/xul-ext-openinbrowser.xpi
	dh_xul-ext
	dh_installdocs README.md
	dh_installchangelogs debian/changelog.upstream
	dh_buildinfo
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: clean
clean: debian/control
	dh_clean

here = $(dir $(firstword $(MAKEFILE_LIST)))/..

.PHONY: get-orig-source
get-orig-source:
	cd $(here) && sh debian/get-orig-source.sh $(CURDIR)

.PHONY: update-upstream-changelog
update-upstream-changelog:
	amo-changelog open-in-browser > debian/changelog.upstream

# vim:ts=4 sw=4 noet

=== debian/watch ===
version=3
http://ftp.mozilla.org/pub/mozilla.org/addons/8207/ open_in_browser-([0-9.]+).*[.]xpi

## openinbrowser 1.17

=== debian/changelog ===
openinbrowser (1.17-1) unstable; urgency=low

  * New upstream release.
    + Remove dependency on FUEL (Firefox User Extension Library),
      which was removed in Firefox 47.
  * Bump standards version to 3.9.7 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Wed, 23 Mar 2016 22:31:35 +0100

openinbrowser (1.16-1) unstable; urgency=low

  * New upstream release.
    + Prevent the browser from caching the response.
  * Update the watch file.
  * Ship upstream changelog that is included in the .orig.tar, instead of the
    one generated by amo-changelog(1).
  * Bump standards version to 3.9.6 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Tue, 18 Aug 2015 20:28:46 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper (>= 7),
  dh-buildinfo,
  mozilla-devscripts (>= 0.16~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.7
 Homepage: https://github.com/spasche/openinbrowser
 
 Package: xul-ext-openinbrowser

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	install-xpi -x LICENSE -x README.md debian/xul-ext-openinbrowser.xpi
 	dh_xul-ext
 	dh_installdocs README.md
-	dh_installchangelogs debian/changelog.upstream
+	dh_installchangelogs CHANGELOG.md
 	dh_buildinfo
 	dh_compress
 	dh_fixperms
@@ -39,4 +39,4 @@
 update-upstream-changelog:
 	amo-changelog open-in-browser > debian/changelog.upstream
 
-# vim:ts=4 sw=4 noet
+# vim:ts=4 sts=4 sw=4 noet

=== debian/watch ===
version=3
https://addons.mozilla.org/en-US/firefox/addon/open-in-browser/ \
.*/open_in_browser-([0-9.]+)-[+\w]+[.]xpi[?].*
